Screen randomly goes off in karmic

Bug #397839 reported by Giovanni Condello on 2009-07-10
208
This bug affects 31 people
Affects Status Importance Assigned to Milestone
xserver-xorg-driver-ati
Won't Fix
Medium
gnome-power-manager (Fedora)
Fix Released
High
gnome-power-manager (Ubuntu)
Critical
Unassigned
Karmic
Critical
Unassigned
xorg-server (Ubuntu)
High
Unassigned
Karmic
High
Unassigned

Bug Description

Binary package hint: xserver-xorg-video-ati

Sometimes the internal laptop display (LVDS) goes off (like a DPMS standby) for no reason (there is user activity going on).
Moving the mouse or typing on the keyboard makes the screen turn on again (no password request or user logout happens)

This happens on a fully updated Karmic with a mobility radeon X700 using the standard radeon driver.

ProblemType: Bug
Architecture: i386
Date: Fri Jul 10 15:11:22 2009
DistroRelease: Ubuntu 9.10
Lsusb:
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Acer, inc. Yspire 1690
Package: xserver-xorg-video-ati 1:6.12.99+git20090629.f39cafc5-0ubuntu1
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-2-generic root=UUID=79c83fad-2c20-4754-b080-8a8e9e451b51 ro quiet splash
ProcEnviron:
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-2.16-generic
RelatedPackageVersions:
 xserver-xorg 1:7.4+3ubuntu5
 libgl1-mesa-glx 7.5~rc4-1ubuntu3
 libdrm2 2.4.11-1ubuntu1
 xserver-xorg-video-intel 2:2.7.99.901+git20090702.74227141-0ubuntu1
 xserver-xorg-video-ati 1:6.12.99+git20090629.f39cafc5-0ubuntu1
SourcePackage: xserver-xorg-video-ati
Uname: Linux 2.6.31-2-generic i686
dmi.bios.date: 03/14/06
dmi.bios.vendor: Acer
dmi.bios.version: 3A44
dmi.board.name: Crane II
dmi.board.vendor: Acer, Inc.
dmi.board.version: Not Applicable
dmi.chassis.type: 1
dmi.chassis.vendor: , Inc.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAcer:bvr3A44:bd03/14/06:svnAcer,inc.:pnYspire1690:pvrNotApplicable:rvnAcer,Inc.:rnCraneII:rvrNotApplicable:cvn,Inc.:ct1:cvrN/A:
dmi.product.name: Yspire 1690
dmi.product.version: Not Applicable
dmi.sys.vendor: Acer, inc.
fglrx: Not loaded
system:
 distro: Ubuntu
 architecture: i686kernel: 2.6.31-2-generic

[lspci]
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon Mobility X700 (PCIE) [1002:5653]
     Subsystem: Acer Incorporated [ALI] Device [1025:0066]

Giovanni Condello (nanomad) wrote :
raphael (raaa) wrote :

Hi I confirm this. The laptop display goes randomly off (not idling). After moving the mouse display turn on.

Kernel: 2.6.31-2-generic

The last entries of Xorg.0.log
++++++++++++++++++++++++++++++++++++++++++++++
disable LVDS
disable LVDS
enable LVDS
++++++++++++++++++++++++++++++++++++++++++++++

lspci
++++++++++++++++++++++++++++++++++++++++++++++
01:00.0 VGA compatible controller: ATI Technologies Inc RV350 [Mobility Radeon 9600 M10]
 Subsystem: Samsung Electronics Co Ltd Device c00c
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B+ DisINTx-
 Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 66 (2000ns min), Cache Line Size: 32 bytes
 Interrupt: pin A routed to IRQ 11
 Region 0: Memory at d8000000 (32-bit, prefetchable) [size=128M]
 Region 1: I/O ports at 3000 [size=256]
 Region 2: Memory at d0100000 (32-bit, non-prefetchable) [size=64K]
 [virtual] Expansion ROM at d0120000 [disabled] [size=128K]
 Capabilities: <access denied>
 Kernel modules: radeon, radeonfb

Miloš Mandarić (mandzo18) wrote :

I have the same issue and I have nvidia card.

01:00.0 VGA compatible controller [0300]: nVidia Corporation G72M [Quadro NVS 110M/GeForce Go 7300] [10de:01d7] (rev a1)
 Subsystem: ASUSTeK Computer Inc. Device [1043:1101]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 16
 Region 0: Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
 Region 1: Memory at c0000000 (64-bit, prefetchable) [size=256M]
 Region 3: Memory at fc000000 (64-bit, non-prefetchable) [size=16M]
 [virtual] Expansion ROM at fe2e0000 [disabled] [size=128K]
 Capabilities: [60] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [68] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
  Address: 0000000000000000 Data: 0000
 Capabilities: [78] Express (v1) Endpoint, MSI 00
  DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <1us, L1 <4us
   ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
  DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
   RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
   MaxPayload 128 bytes, MaxReadReq 512 bytes
  DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
  LnkCap: Port #0, Speed 2.5GT/s, Width x16, ASPM L0s L1, Latency L0 <1us, L1 <4us
   ClockPM- Suprise- LLActRep- BwNot-
  LnkCtl: ASPM Disabled; RCB 128 bytes Disabled- Retrain- CommClk-
   ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed 2.5GT/s, Width x16, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
 Capabilities: [100] Virtual Channel <?>
 Capabilities: [128] Power Budgeting <?>
 Kernel driver in use: nvidia
 Kernel modules: nvidia, nvidiafb

Bryce Harrington (bryce) on 2009-07-20
Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Confirmed
Rolf Leggewie (r0lf) on 2009-07-29
tags: added: karmic

Forwarding this bug from Ubuntu reporter Giovanni Condello:
https://bugs.edge.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/397839

[Problem]
Sometimes the internal laptop display (LVDS) goes off (like a DPMS standby) for no reason (there is user activity going on).
Moving the mouse or typing on the keyboard makes the screen turn on again (no password request or user logout happens)

This happens on a fully updated Karmic with a mobility radeon X700 using the standard radeon driver.

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller [8086:2590] (rev 03)
 Subsystem: Acer Incorporated [ALI] Device [1025:0066]
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon Mobility X700 (PCIE) [1002:5653]
 Subsystem: Acer Incorporated [ALI] Device [1025:0066]

[More Info]
ProblemType: Bug
Architecture: i386
Date: Fri Jul 10 15:11:22 2009
DistroRelease: Ubuntu 9.10
Lsusb:
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Acer, inc. Yspire 1690
Package: xserver-xorg-video-ati 1:6.12.99+git20090629.f39cafc5-0ubuntu1
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-2-generic root=UUID=79c83fad-2c20-4754-b080-8a8e9e451b51 ro quiet splash
ProcEnviron:
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-2.16-generic
RelatedPackageVersions:
 xserver-xorg 1:7.4+3ubuntu5
 libgl1-mesa-glx 7.5~rc4-1ubuntu3
 libdrm2 2.4.11-1ubuntu1
 xserver-xorg-video-intel 2:2.7.99.901+git20090702.74227141-0ubuntu1
 xserver-xorg-video-ati 1:6.12.99+git20090629.f39cafc5-0ubuntu1
SourcePackage: xserver-xorg-video-ati
Uname: Linux 2.6.31-2-generic i686
dmi.bios.date: 03/14/06
dmi.bios.vendor: Acer
dmi.bios.version: 3A44
dmi.board.name: Crane II
dmi.board.vendor: Acer, Inc.
dmi.board.version: Not Applicable
dmi.chassis.type: 1
dmi.chassis.vendor: , Inc.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAcer:bvr3A44:bd03/14/06:svnAcer,inc.:pnYspire1690:pvrNotApplicable:rvnAcer,Inc.:rnCraneII:rvrNotApplicable:cvn,Inc.:ct1:cvrN/A:
dmi.product.name: Yspire 1690
dmi.product.version: Not Applicable
dmi.sys.vendor: Acer, inc.
fglrx: Not loaded
system:
 distro: Ubuntu
 architecture: i686kernel: 2.6.31-2-generic

Created an attachment (id=28235)
BootDmesg.txt

Created an attachment (id=28236)
CurrentDmesg.txt

Created an attachment (id=28237)
XorgLog.txt

Fwiw, I've also been noticing similar behavior on my own -ati system, although the message I see in my Xorg.0.log is different. Since it seems to have some relation to the dpms power management, I've not been sure whether it is X or something deeper in the platform stuff. Any pointers would be much appreciated, as I've had a lot of different people mention this issue to me.

Bryce Harrington (bryce) wrote :

I've run into this myself on -ati. Not sure whether it is actually X, or something funky in power management, but I'll upstream to the ATI folks in any case and maybe we can get some insight.

Changed in xserver-xorg-video-ati (Ubuntu):
importance: Undecided → Critical
status: Confirmed → Triaged
Bryce Harrington (bryce) wrote :

I've forwarded this issue upstream to https://bugs.freedesktop.org/show_bug.cgi?id=23066 - please subscribe to this bug in case upstream needs more information or wishes you to test something. Thanks ahead of time!

Changed in xserver-xorg-driver-ati:
status: Unknown → Confirmed

This sounds like a problem with the xserver dpms timer or gpm or whatever you are using to control the dpms timeout. If you see things like:
disable LVDS
enable LVDS
in your log when it happens, then some external event is causing the driver's dpms function to be called. Some other possible causes include video apps that fiddle with the dpms state to keep the screensaver from kicking in, or in the case of a momentary blanking of the screen on older cards, apps that query the randr state on a regular basis.

Bryce Harrington (bryce) on 2009-08-05
affects: xserver-xorg-video-ati (Ubuntu) → gnome-power-manager (Ubuntu)
Changed in gnome-power-manager (Ubuntu):
status: Triaged → New
Download full text (3.2 KiB)

Thanks for the report. Could you kill GPM right after loading into
gnome and see if the screen blanking happens later on in the session?

command in terminal:
killall gnome-power-manager

I'm experiencing the same bug and wanted to see if it is related to:
http://blogs.gnome.org/hughsie/2009/07/30/accidental-blanking-and-gnome-power-manager/
bug #387529
commit: http://git.gnome.org/cgit/gnome-power-manager/commit/?id=b5cf34d4b9861ab916a3ff74a2a08093ccb75b9f

If the bug remains after killing GPM, it appears to be related to the
above blog posting in that there is a bug in gnome-session.

On Wed, Aug 5, 2009 at 7:35 AM, Sebastien Bacher<email address hidden> wrote:
> The issue seems similar to
> https://bugzilla.redhat.com/show_bug.cgi?id=501601
>
> ** Bug watch added: Red Hat Bugzilla #501601
>   https://bugzilla.redhat.com/show_bug.cgi?id=501601
>
> --
> Screen randomly goes off in karmic
> https://bugs.launchpad.net/bugs/397839
> You received this bug notification because you are subscribed to gnome-
> power-manager in ubuntu.
>
> Status in X.org XServer - ATI gfx chipset driver: Confirmed
> Status in “gnome-power-manager” package in Ubuntu: New
>
> Bug description:
> Binary package hint: xserver-xorg-video-ati
>
> Sometimes the internal laptop display (LVDS) goes off (like a DPMS standby) for no reason (there is user activity going on).
> Moving the mouse or typing on the keyboard makes the screen turn on again (no password request or user logout happens)
>
> This happens on a fully updated Karmic with a mobility radeon X700 using the standard radeon driver.
>
> ProblemType: Bug
> Architecture: i386
> Date: Fri Jul 10 15:11:22 2009
> DistroRelease: Ubuntu 9.10
> Lsusb:
>  Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>  Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>  Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>  Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType: Acer, inc. Yspire 1690
> Package: xserver-xorg-video-ati 1:6.12.99+git20090629.f39cafc5-0ubuntu1
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-2-generic root=UUID=79c83fad-2c20-4754-b080-8a8e9e451b51 ro quiet splash
> ProcEnviron:
>  LANG=it_IT.UTF-8
>  SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-2.16-generic
> RelatedPackageVersions:
>  xserver-xorg 1:7.4+3ubuntu5
>  libgl1-mesa-glx 7.5~rc4-1ubuntu3
>  libdrm2 2.4.11-1ubuntu1
>  xserver-xorg-video-intel 2:2.7.99.901+git20090702.74227141-0ubuntu1
>  xserver-xorg-video-ati 1:6.12.99+git20090629.f39cafc5-0ubuntu1
> SourcePackage: xserver-xorg-video-ati
> Uname: Linux 2.6.31-2-generic i686
> dmi.bios.date: 03/14/06
> dmi.bios.vendor: Acer
> dmi.bios.version: 3A44
> dmi.board.name: Crane II
> dmi.board.vendor: Acer, Inc.
> dmi.board.version: Not Applicable
> dmi.chassis.type: 1
> dmi.chassis.vendor: , Inc.
> dmi.chassis.version: N/A
> dmi.modalias: dmi:bvnAcer:bvr3A44:bd03/14/06:svnAcer,inc.:pnYspire1690:pvrNotApplicable:rvnAcer,Inc.:rnCraneII:rvrNotApplicable:cvn,Inc.:ct1:cvrN/A:
> dmi.product.name: Yspire 1690
> dmi.product.version: Not Applicable
> dmi.sys.vendor: Acer, inc.
> fg...

Read more...

Oded Arbel (oded-geek) wrote :

I have the same issue with a Thinkpad T61 with intel 945 card.

Scott Howard (showard314) wrote :

I killed GPM and the bug did not show up (I tested for an hour).
Usually it shows up after ~10 minutes and sometimes multiple times an
hour.

On Fri, Aug 7, 2009 at 8:03 AM, Oded Arbel<email address hidden> wrote:
> I have the same issue with a Thinkpad T61 with intel 945 card.
>
> --
> Screen randomly goes off in karmic
> https://bugs.launchpad.net/bugs/397839
> You received this bug notification because you are subscribed to gnome-
> power-manager in ubuntu.
>
> Status in X.org XServer - ATI gfx chipset driver: Confirmed
> Status in “gnome-power-manager” package in Ubuntu: New
>
> Bug description:
> Binary package hint: xserver-xorg-video-ati
>
> Sometimes the internal laptop display (LVDS) goes off (like a DPMS standby) for no reason (there is user activity going on).
> Moving the mouse or typing on the keyboard makes the screen turn on again (no password request or user logout happens)
>
> This happens on a fully updated Karmic with a mobility radeon X700 using the standard radeon driver.
>
> ProblemType: Bug
> Architecture: i386
> Date: Fri Jul 10 15:11:22 2009
> DistroRelease: Ubuntu 9.10
> Lsusb:
>  Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>  Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>  Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>  Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType: Acer, inc. Yspire 1690
> Package: xserver-xorg-video-ati 1:6.12.99+git20090629.f39cafc5-0ubuntu1
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-2-generic root=UUID=79c83fad-2c20-4754-b080-8a8e9e451b51 ro quiet splash
> ProcEnviron:
>  LANG=it_IT.UTF-8
>  SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-2.16-generic
> RelatedPackageVersions:
>  xserver-xorg 1:7.4+3ubuntu5
>  libgl1-mesa-glx 7.5~rc4-1ubuntu3
>  libdrm2 2.4.11-1ubuntu1
>  xserver-xorg-video-intel 2:2.7.99.901+git20090702.74227141-0ubuntu1
>  xserver-xorg-video-ati 1:6.12.99+git20090629.f39cafc5-0ubuntu1
> SourcePackage: xserver-xorg-video-ati
> Uname: Linux 2.6.31-2-generic i686
> dmi.bios.date: 03/14/06
> dmi.bios.vendor: Acer
> dmi.bios.version: 3A44
> dmi.board.name: Crane II
> dmi.board.vendor: Acer, Inc.
> dmi.board.version: Not Applicable
> dmi.chassis.type: 1
> dmi.chassis.vendor: , Inc.
> dmi.chassis.version: N/A
> dmi.modalias: dmi:bvnAcer:bvr3A44:bd03/14/06:svnAcer,inc.:pnYspire1690:pvrNotApplicable:rvnAcer,Inc.:rnCraneII:rvrNotApplicable:cvn,Inc.:ct1:cvrN/A:
> dmi.product.name: Yspire 1690
> dmi.product.version: Not Applicable
> dmi.sys.vendor: Acer, inc.
> fglrx: Not loaded
> system:
>  distro:             Ubuntu
>  architecture:       i686kernel:             2.6.31-2-generic
>

Changed in gnome-power-manager (Ubuntu):
status: New → Confirmed

FWIW I have the same bug on two Intel video machines

Changed in gnome-power-manager (Fedora):
status: Unknown → In Progress
Richard Cavell (richardcavell) wrote :

I confirm this bug with Intel GMA 945 on a second-gen MacBook.

https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/397839/comments/11

Looks like it was an issue accidentally introduced in xserver and accidentally fixed as well recently

Matt Zimmerman (mdz) on 2009-08-12
Changed in gnome-power-manager (Ubuntu):
status: Confirmed → Triaged
tags: added: regression-potential
Scott Howard (showard314) wrote :

I'm going to be away, but I want to make sure the information is here on LP on this bug:
From the author of gnome-power-manager, Richard Hughes:

"There's no bug in gnome-power-manager, and I suspect gnome-session somehow triggers this bug. There's a full writeup in http://blogs.gnome.org/hughsie/2009/07/30/accidental-blanking-and-gnome-power-manager/ but I've got next-to-no help in debugging gnome-session or the XSync alarms stuff."

From fedora's bug report:

"Comment #66 From Peter Hutterer 2009-08-11 00:26:46 EDT -------

seems to be a problem with the X server. on an F11 box, running
xorg-x11-server-1.6.2 reproduces the problem (with the test program), running
master doesn't.

Unfortunately bisecting from 1.6 to now is a dependency hell, I haven't found
the culprit yet.

------- Comment #67 From Peter Hutterer 2009-08-11 02:55:13 EDT -------

bisected to commit 57aff88c7d0761e590806d07bee1c9410680c89f in the X server
tree.
Note that this commit _fixed_ the bug (accidentally too, I suppose).

http://cgit.freedesktop.org/xorg/xserver/commit/?id=57aff88c7d0761e590806d07bee1c9410680c89f

Moving over to the server. "

Loïc Minier (lool) on 2009-08-12
affects: gnome-power-manager (Ubuntu) → xorg-server (Ubuntu)
burli (mb-embedit) wrote :

Same here with Intel Graphics, but it's not randomly. It's exactly 10 Minutes after login and it happens never again until I reboot.

After it happens one time the screen is still on, even if the Laptop is idle

Ding Zhou (tualatrix) wrote :

Oh, I'm very sorry, I just made a wrong click.

Changed in xorg-server (Ubuntu):
status: Triaged → Incomplete

 status triaged

On Thu, Aug 13, 2009 at 11:57 AM, Scott Howard<email address hidden> wrote:
>  status triaged
>
> On Thu, Aug 13, 2009 at 11:39 AM, TualatriX<email address hidden> wrote:
>> Oh, I'm very sorry, I just made a wrong click.
>>
>> ** Changed in: xorg-server (Ubuntu)
>>       Status: Triaged => Incomplete
>>
>> --
>> Screen randomly goes off in karmic
>> https://bugs.launchpad.net/bugs/397839
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in X.org XServer - ATI gfx chipset driver: Confirmed
>> Status in “xorg-server” package in Ubuntu: Incomplete
>> Status in “gnome-power-manager” package in Fedora: In Progress
>>
>> Bug description:
>> Binary package hint: xserver-xorg-video-ati
>>
>> Sometimes the internal laptop display (LVDS) goes off (like a DPMS standby) for no reason (there is user activity going on).
>> Moving the mouse or typing on the keyboard makes the screen turn on again (no password request or user logout happens)
>>
>> This happens on a fully updated Karmic with a mobility radeon X700 using the standard radeon driver.
>>
>> ProblemType: Bug
>> Architecture: i386
>> Date: Fri Jul 10 15:11:22 2009
>> DistroRelease: Ubuntu 9.10
>> Lsusb:
>>  Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>>  Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>>  Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>>  Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>>  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>> MachineType: Acer, inc. Yspire 1690
>> Package: xserver-xorg-video-ati 1:6.12.99+git20090629.f39cafc5-0ubuntu1
>> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-2-generic root=UUID=79c83fad-2c20-4754-b080-8a8e9e451b51 ro quiet splash
>> ProcEnviron:
>>  LANG=it_IT.UTF-8
>>  SHELL=/bin/bash
>> ProcVersionSignature: Ubuntu 2.6.31-2.16-generic
>> RelatedPackageVersions:
>>  xserver-xorg 1:7.4+3ubuntu5
>>  libgl1-mesa-glx 7.5~rc4-1ubuntu3
>>  libdrm2 2.4.11-1ubuntu1
>>  xserver-xorg-video-intel 2:2.7.99.901+git20090702.74227141-0ubuntu1
>>  xserver-xorg-video-ati 1:6.12.99+git20090629.f39cafc5-0ubuntu1
>> SourcePackage: xserver-xorg-video-ati
>> Uname: Linux 2.6.31-2-generic i686
>> dmi.bios.date: 03/14/06
>> dmi.bios.vendor: Acer
>> dmi.bios.version: 3A44
>> dmi.board.name: Crane II
>> dmi.board.vendor: Acer, Inc.
>> dmi.board.version: Not Applicable
>> dmi.chassis.type: 1
>> dmi.chassis.vendor: , Inc.
>> dmi.chassis.version: N/A
>> dmi.modalias: dmi:bvnAcer:bvr3A44:bd03/14/06:svnAcer,inc.:pnYspire1690:pvrNotApplicable:rvnAcer,Inc.:rnCraneII:rvrNotApplicable:cvn,Inc.:ct1:cvrN/A:
>> dmi.product.name: Yspire 1690
>> dmi.product.version: Not Applicable
>> dmi.sys.vendor: Acer, inc.
>> fglrx: Not loaded
>> system:
>>  distro:             Ubuntu
>>  architecture:       i686kernel:             2.6.31-2-generic
>>
>

Scott Howard (showard314) wrote :

 status triaged

On Thu, Aug 13, 2009 at 11:39 AM, TualatriX<email address hidden> wrote:
> Oh, I'm very sorry, I just made a wrong click.
>
> ** Changed in: xorg-server (Ubuntu)
>       Status: Triaged => Incomplete
>
> --
> Screen randomly goes off in karmic
> https://bugs.launchpad.net/bugs/397839
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in X.org XServer - ATI gfx chipset driver: Confirmed
> Status in “xorg-server” package in Ubuntu: Incomplete
> Status in “gnome-power-manager” package in Fedora: In Progress
>
> Bug description:
> Binary package hint: xserver-xorg-video-ati
>
> Sometimes the internal laptop display (LVDS) goes off (like a DPMS standby) for no reason (there is user activity going on).
> Moving the mouse or typing on the keyboard makes the screen turn on again (no password request or user logout happens)
>
> This happens on a fully updated Karmic with a mobility radeon X700 using the standard radeon driver.
>
> ProblemType: Bug
> Architecture: i386
> Date: Fri Jul 10 15:11:22 2009
> DistroRelease: Ubuntu 9.10
> Lsusb:
>  Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>  Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>  Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>  Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType: Acer, inc. Yspire 1690
> Package: xserver-xorg-video-ati 1:6.12.99+git20090629.f39cafc5-0ubuntu1
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-2-generic root=UUID=79c83fad-2c20-4754-b080-8a8e9e451b51 ro quiet splash
> ProcEnviron:
>  LANG=it_IT.UTF-8
>  SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-2.16-generic
> RelatedPackageVersions:
>  xserver-xorg 1:7.4+3ubuntu5
>  libgl1-mesa-glx 7.5~rc4-1ubuntu3
>  libdrm2 2.4.11-1ubuntu1
>  xserver-xorg-video-intel 2:2.7.99.901+git20090702.74227141-0ubuntu1
>  xserver-xorg-video-ati 1:6.12.99+git20090629.f39cafc5-0ubuntu1
> SourcePackage: xserver-xorg-video-ati
> Uname: Linux 2.6.31-2-generic i686
> dmi.bios.date: 03/14/06
> dmi.bios.vendor: Acer
> dmi.bios.version: 3A44
> dmi.board.name: Crane II
> dmi.board.vendor: Acer, Inc.
> dmi.board.version: Not Applicable
> dmi.chassis.type: 1
> dmi.chassis.vendor: , Inc.
> dmi.chassis.version: N/A
> dmi.modalias: dmi:bvnAcer:bvr3A44:bd03/14/06:svnAcer,inc.:pnYspire1690:pvrNotApplicable:rvnAcer,Inc.:rnCraneII:rvrNotApplicable:cvn,Inc.:ct1:cvrN/A:
> dmi.product.name: Yspire 1690
> dmi.product.version: Not Applicable
> dmi.sys.vendor: Acer, inc.
> fglrx: Not loaded
> system:
>  distro:             Ubuntu
>  architecture:       i686kernel:             2.6.31-2-generic
>

Changed in xorg-server (Ubuntu):
status: Incomplete → Triaged
Egon Ashrafinia (wubbbi) wrote :

Same here on Nvidia 7300 go.
With the 185.x driver.

Please fix it soon as possible :)

Tony Espy (awe) wrote :

Same here with nvidia-glx-180. Been happening ever since I upgraded to Karmic.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.6.3-1ubuntu2

---------------
xorg-server (2:1.6.3-1ubuntu2) karmic; urgency=low

  * Add 182_negative_sync_transitions.patch: Upstream cherrypick.
    Fix random blanking display when system is not idle, caused by
    mishandling of negative transition triggers in XSync.
    (LP: #397839)

 -- Bryce Harrington <email address hidden> Fri, 14 Aug 2009 11:21:09 -0700

Changed in xorg-server (Ubuntu):
status: Triaged → Fix Released
Noel J. Bergman (noeljb) wrote :

Thanks to all who got this fixed!

Changed in gnome-power-manager (Fedora):
status: In Progress → Fix Committed
aeneas (aeneascarver) wrote :

The blanking bug is not yet fixed :-( ; still happens to me with the latest xorg version in karmic.

there is still stuff pending; see also:
http://blogs.gnome.org/hughsie/2009/08/17/gnome-power-manager-and-blanking-removal-of-bodges/

or the fedora bug-report:
https://bugzilla.redhat.com/show_bug.cgi?id=501601

where people still experience this annoying bug.

greetings!

Scott Howard (showard314) wrote :
Changed in xorg-server (Ubuntu):
status: Fix Released → Triaged
Changed in gnome-power-manager (Ubuntu):
importance: Undecided → Critical
status: New → Triaged
Scott Howard (showard314) wrote :

Sorry, I should have been more clear!
According to richard hughes, we need 3 patches. Two in xserver and one in GPM. the patch 182_negative_sync_transitions.patch, which is in Ubuntu's xorg-server package now applies one of the two x patches. That leaves the following x patch:
http://cgit.freedesktop.org/xorg/xserver/patch/?id=6b5978dcf1f7ac3ecc2f22df06f7000f360e2066
and the following gnome-power-manager patch:
http://git.gnome.org/cgit/gnome-power-manager/patch/?id=b6ea044d3b67087ef2fd73f4647d7c5b2d17f8c8

However, part of the gnome-power-manager patch removes a commit which we do not have in 2.27.5, so the patch might need to be altered a bit.

Scott Howard (showard314) wrote :

The upload of GPM 2.27.91 included the patch. I no longer have screen blanking problems, can anyone else confirm this? Thank you.

Changed in gnome-power-manager (Ubuntu):
status: Triaged → Fix Released
Nandan Vaidya (gotunandan) wrote :

I was struck by this bug today again, so maybe its not been fixed yet.

I am using gnome-power-manager 2.27.91
and xserver-xorg 1:7.4+3ubuntu5

The Karmic installation is a daily image from 29 August 2009

I was just browsing and my screen went blank, after moving the mouse the screen came back.
My notification area had the icon telling me to goto Richard Hughes's blog, which then in turn led me here !

Vish (vish) wrote :

I can confirm this bug still exists in up-to-date Karmic. Only the screensaver problem seems to have been *partially* resolved. Further when almost every time i exit from the screensaver , i find an icon of "fullscreen"[attaching screenshot] in the notification area with tooltips asking me to contact the distributor and pointing to this blog>
http://blogs.gnome.org/hughsie/2009/07/30/accidental-blanking-and-gnome-power-manager/

Or maybe the problem still exists because i was using xset , [$xset s 300] to blank the screen because of the screensaver problem.

$ xset -q
Keyboard Control:
  auto repeat: on key click percent: 0 LED mask: 00000000
  auto repeat delay: 219 repeat rate: 30
  auto repeating keys: 00ffffffdffffbbf
                        fadfffefffedffff
                        9fffffffffffffff
                        fff7ffffffffffff
  bell percent: 50 bell pitch: 400 bell duration: 100
Pointer Control:
  acceleration: 3/2 threshold: 4
Screen Saver:
  prefer blanking: yes allow exposures: yes
  timeout: 0 cycle: 0
Colors:
  default colormap: 0x20 BlackPixel: 0 WhitePixel: 16777215
Font Path:
  /usr/share/fonts/X11/misc,/usr/share/fonts/X11/100dpi/:unscaled,/usr/share/fonts/X11/75dpi/:unscaled,/usr/share/fonts/X11/Type1,/usr/share/fonts/X11/100dpi,/usr/share/fonts/X11/75dpi,/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,built-ins
DPMS (Energy Star):
  Standby: 0 Suspend: 0 Off: 0
  DPMS is Enabled
  Monitor is On

Have the setting been messed up? even if its not messed up, How do i *reset* the xset settings? as in, i was able to set the time limit but how to switch it back off?

aeneas (aeneascarver) wrote :

The problem still exists for me. I was watching a movie yesterday and the screen went off twice. (It came back after two seconds standby)

I wish I could somehow help debugging this!

Vish (vish) wrote :

Scott , I'm resetting to to confirmed.
Do you need any other info to debug this?

Changed in gnome-power-manager (Ubuntu):
status: Fix Released → Confirmed
Scott Howard (showard314) wrote :

From comment #22, we needed 3 patches: 2 for xorg and 1 for GPM. GPM's patch was applied with 2.7.91-0ubuntu1 (that's why I put GPM to fixed released). One of xorg's was applied with 2:1.6.3-1ubuntu2.

xorg-server still needs this patch:
http://cgit.freedesktop.org/xorg/xserver/patch/?id=6b5978dcf1f7ac3ecc2f22df06f7000f360e2066

John Vivirito (gnomefreak) wrote :

On 08/30/2009 10:38 PM, Scott Howard wrote:
> The upload of GPM 2.27.91 included the patch. I no longer have screen
> blanking problems, can anyone else confirm this? Thank you.
>
> ** Changed in: gnome-power-manager (Ubuntu)
> Status: Triaged => Fix Released
>
I've been away for last few days and been here for a few hours
today and i haven't seen it.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

aeneas (aeneascarver) wrote :

According to http://www.x.org/wiki/Server16Branch both patches will be merged in xserver-1.6.3[+1]. But for testing purposes it would be definitely nice to have them patched in karmic.

Kudos to all working on these fixes!

Vish (vish) wrote :

Reverting to Released , As per comment #29 .

Scott , i confused with your comment , "The upload of GPM 2.27.91 included the patch. I no longer have screen blanking problems, can anyone else confirm this? "

Changed in gnome-power-manager (Ubuntu):
status: Confirmed → Fix Released
Bryce Harrington (bryce) on 2009-09-03
description: updated
sam tygier (samtygier) wrote :

i filled bug #423694 which has been duped to this.

i saw the message when using xserver-xorg-core 2:1.6.3+git20090805+server-1.6-branch.f274e595-0ubuntu0sarvatt from https://launchpad.net/~xorg-edgers/+archive/ppa

i have not seen it in the ubuntu xserver-xorg-core

Bryce Harrington (bryce) wrote :

Not sure why this is still open against xorg-server; both the requested patches have been in xserver for quite some time:

xorg-server (2:1.6.3-1ubuntu3) karmic; urgency=low

  * Add 183_dont_reset_event_time.patch: Upstream cherrypick.
    Fix another random display blanking issue. When we turn off DPMS with
    DPMSModeOff and do dixSaveScreens, don't reset the event time else
    session clients using IDLETIME will be reset.
    See http://blogs.gnome.org/hughsie/2009/08/17/

 -- Bryce Harrington <email address hidden> Wed, 19 Aug 2009 10:21:45 -0700

xorg-server (2:1.6.3-1ubuntu2) karmic; urgency=low

  * Add 182_negative_sync_transitions.patch: Upstream cherrypick.
    Fix random blanking display when system is not idle, caused by
    mishandling of negative transition triggers in XSync.
    (LP: #397839)

 -- Bryce Harrington <email address hidden> Fri, 14 Aug 2009 11:21:09 -0700

Changed in xorg-server (Ubuntu):
status: Triaged → Fix Released
aeneas (aeneascarver) wrote :

The problem is definitely not fixed for me. The screen still goes off every hour for about 2 secs which is very annoying....

Vish (vish) wrote :

The thing is that the patches described in Richard's blog have been applied but none of them seem to have fixed this issue... :(
Seems like no one really knows where the problem really is !

Scott Howard , you might wanna consider re-opening this bug against gpm ...

aeneas (aeneascarver) wrote :

is there anybody seeing this bug && using KDE or a different Desktop Environment than Gnome? That would indicate that its a xorg issue.

If it is -- is there an upstream bug in xorg?

Oded Arbel (oded-geek) wrote :

Actually I have not seen this problem in a while. I'm using GNOME though.

aeneas (aeneascarver) wrote :

Fedora has three patches:

(1) xserver-1.6.3-sync-conditions.patch
(2) xserver-1.6.99-dpms.patch
(3) xserver-1.6.99-eventtime.patch

From what I see Ubuntu may be missing (2)
http://cvs.fedoraproject.org/viewvc/rpms/xorg-x11-server/F-11/xserver-1.6.99-dpms.patch?revision=1.1&view=markup

John Vivirito (gnomefreak) wrote :

On 09/10/2009 10:02 AM, mac_v wrote:
> The thing is that the patches described in Richard's blog have been applied but none of them seem to have fixed this issue... :(
> Seems like no one really knows where the problem really is !
>
> Scott Howard , you might wanna consider re-opening this bug against gpm
> ...
>
updates have fixed it i havent seen this is a while.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Scott Howard (showard314) wrote :
Download full text (4.2 KiB)

To check to see if it is a gnome-power-manager bug:
1) killall gnome-power-manager
2) gnome-power-manager --verbose

when the blanking occurs, look at the last lines from the terminal to
see if GPM emitted anything that would cause the monitor to blank. If
nothing is shown, then the blanking is being called from something
else.

You can monitor the dbus:

$ dbus-monitor --session
"type='signal',interface='org.freedesktop.PowerManagement'"
$ dbus-monitor --session
"type='signal',interface='org.freedesktop.DeviceKit.Power

(I think karmic uses DKP only and not PowerManagement, so the first
one might not work).

After the blanking, see if there are any messages in the terminal that
would indicate what happened.

Since some people have this fixed and others do not, it might be an
x/video card interaction problem.
Thanks for the help!

On Fri, Sep 11, 2009 at 6:40 AM, John Vivirito <email address hidden> wrote:
> On 09/10/2009 10:02 AM, mac_v wrote:
>> The thing is that the patches described in Richard's blog have been applied but none of them seem to have fixed this issue... :(
>> Seems like no one really knows where the problem really is !
>>
>> Scott Howard , you might wanna consider re-opening this bug against gpm
>> ...
>>
> updates have fixed it i havent seen this is a while.
>
> --
> Sincerely Yours,
>    John Vivirito
>
> https://launchpad.net/~gnomefreak
> https://wiki.ubuntu.com/JohnVivirito
> Linux User# 414246
>
> "How can i get lost, if i have no where to go"
>    -- Metallica from Unforgiven III
>
> --
> Screen randomly goes off in karmic
> https://bugs.launchpad.net/bugs/397839
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in X.org XServer - ATI gfx chipset driver: Confirmed
> Status in “gnome-power-manager” package in Ubuntu: Fix Released
> Status in “xorg-server” package in Ubuntu: Fix Released
> Status in “gnome-power-manager” package in Fedora: Fix Committed
>
> Bug description:
> Binary package hint: xserver-xorg-video-ati
>
> Sometimes the internal laptop display (LVDS) goes off (like a DPMS standby) for no reason (there is user activity going on).
> Moving the mouse or typing on the keyboard makes the screen turn on again (no password request or user logout happens)
>
> This happens on a fully updated Karmic with a mobility radeon X700 using the standard radeon driver.
>
> ProblemType: Bug
> Architecture: i386
> Date: Fri Jul 10 15:11:22 2009
> DistroRelease: Ubuntu 9.10
> Lsusb:
>  Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>  Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>  Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>  Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType: Acer, inc. Yspire 1690
> Package: xserver-xorg-video-ati 1:6.12.99+git20090629.f39cafc5-0ubuntu1
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-2-generic root=UUID=79c83fad-2c20-4754-b080-8a8e9e451b51 ro quiet splash
> ProcEnviron:
>  LANG=it_IT.UTF-8
>  SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-2.16-generic
> RelatedPackageVersions:
>  xserver-xorg...

Read more...

Matthew Gregg (mcg) wrote :

The screen no longer blanks randomly for me, it does however never fully go into power save. Seems to switch into save then back to locked but LCD light is on and monitor is not in power save mode.

I have the same problem with a lenovo S10e that ships a intel 945gme. Display blank after the assigned period but back light stays on. "xset dpms force off" shut off the back light correctly.

Matthew Gregg (mcg) wrote :

Sergio, Was about to file a bug for the DPMS issue but #385633 looks like it and points folks to back this bug.

Ryan (ubuntu-draziw) wrote :

I'm affected too with my laptop backlight not turning off, and xset dpms force off working (as #42, #43, #44) - which looks to me to like 385633, and doesn't sound like this 397839. I guess we'll find out when commited fix when released takes care of this too...

Vish (vish) wrote :

Scott Howard ,
Since update gnome-power-manager (2.27.91-0ubuntu1) to 2.27.92-0ubuntu1
I havent seen the blanking *but* , i still [very often] get the notification area icon with a tooltip that says "Session active, not inhibited, screen idle.
If you can see this text, your display server is broken and you should notify you distributer.
Please see http://blogs.gnome.org/hughsie/2009/08/17/gnome-power-manager-and-blanking-removal-of-bodges/ for more information."

But i had blanking with *.91 so either the patch in *.91 didnt fix this problem or it was fixed by these xorg updates[from xorg edgers ppa.] , which happened the same day as update *.92...

xserver-xorg-video-ati (1:6.12.99+git20090902.794ae743-0ubuntu0tormod) to 1:6.12.99+git20090908.fad9ee6c-0ubuntu0tormod
xserver-xorg-video-intel (2:2.8.1+git20090829.7c48c21b-0ubuntu0tormod) to 2:2.8.1+git20090907.94fc93d4-0ubuntu0tormod
xserver-xorg-video-radeon (1:6.12.99+git20090902.794ae743-0ubuntu0tormod) to 1:6.12.99+git20090908.fad9ee6c-0ubuntu0tormod

Regarding the icon..... notification area icon disappears in a few minutes after using the system
So , if this blanking issue is fixed , why is gpm displaying the icon? is it still broken or ... ?

Scott Howard (showard314) wrote :

@mac: that warning was placed in to see if the conditions causing the idle were still occuring in x. The author of GPM believes that the three patches should have fixed it (and ubuntu has the three patches), but if you are seeing the warnings, that means the bugs still remains in x somewhere.

I don't know enough about x to help though. Does anyone else still see this? You can try posting a response on Richard's blog, the GPM mailing list, or a bug report saying that all patches have been applied, you aren't getting blanking, but you are getting the warning (is that correct?). It may be that the warning should be just removed.

@sergio and matt:
bug 385633 doesn't point here, it points to bug 413168. Could you check that out and see if it describes your problem? If those two bugs are different (413168 and 385633), please un-duplicate the bug and add your information.

aeneas (aeneascarver) wrote :

In addition to the screen randomly turning off I discovered that gnome-power-manager is not able to turn off my monitor. If you are affected you can test that easily by changing the time the screen should be turned off to 1min and wait. My screen is turned off after 1min but turned on again immediately.

See: https://bugzilla.gnome.org/show_bug.cgi?id=594760

"xset dpms force off" can turn my screen off w/o any problems.

Vish (vish) wrote :

lol... I think i spoke too soon! Oh.. the irony ;)
Just while i was filing a bug for the gpm wrongly displaying a notification area icon , the screen blanked ;)

I lock the screen because gpm does not turn off the monitor > bugs 415589
For me , Locking the screen turns off the monitor after the set time.

So now , the notification area icon appears if i unlock the screen after 10mins saying "Session... "

But if i Unlock the screen before 10mins , it does not show the notificaication are icon.
The last time i unlocked before 10mins , the screen blanked at around 10-12mins. I tried it again , to unlock before 10mins but it didt happen again...

But the notification area icon is constantly displayed if screen is unlocked >10mins and not earlier.

So this maybe a xorg problem and not a gpm problem since several are reporting it as fixed.

aeneas (aeneascarver) wrote :

I'm running my kernel with: acpi_enforce_resources=lax

This fixed: (a sensors module which couldn't be loaded)
https://bugs.launchpad.net/bugs/418246

and.... this bug (until now.... :-)
for hours not a single black screen or flicker. yeah.

Noel J. Bergman (noeljb) wrote :

I see a problem: after the appropriate idle time, the screen goes blank, I can see the backlight turn off, and then a few seconds later, the backlight comes back on, although the screen stays blank (that's my screensaver).

Is anyone else seeing this failure to keep the screen turned off, and should I start this as a separate bug report?

anagor (anagor) wrote :

Noel,
What you experiencing is probably another bug altogether.
There quite a few bugs that describe your problem exactly, this one for example #413168

Noel J. Bergman (noeljb) wrote :

@anagor, thanks. :-)

Closing this bug

Alex Murray (alexmurray) wrote :

@Bryce: I am pretty sure the Ubuntu xorg-server is still missing one of the fundamental upstream patches to fix this issue - as Ive said on a number of other bug reports which report this issue still, the following patch is still needed:

http://cgit.freedesktop.org/xorg/xserver/commit/?id=c1d901d723c3bee523736eacc15b44a7dff484fe

And until this is applied I am pretty sure screen blanking will still not work properly in karmic - which is why we keep getting bugs filed against gnome-power-manager (such as the one anagor linked to above) but I am pretty sure the problem is just that we still don't have this final patch - I've checked the xorg-server package source at it is definitely not in there. Please can you add this patch and fix this issue once and for all - besides think of all the duplicates you're going to get once the beta is out if it doesn't include this patch...

Changed in xorg-server (Ubuntu):
status: Fix Released → Triaged
Loïc Minier (lool) wrote :

Proposed git format-patch change for xorg-server.git (ubuntu branch); can't push as the last upload wasn't pushed.

Changed in xorg-server (Ubuntu):
milestone: none → ubuntu-9.10-beta
Loïc Minier (lool) wrote :

Only happens after the idle time,so not a critical issue anymore, just "High"; targeted at beta, let's push this over the week

Changed in xorg-server (Ubuntu Karmic):
importance: Critical → High
Changed in xserver-xorg-driver-ati:
status: Confirmed → Invalid
Brian Rogers (brian-rogers) wrote :

I can confirm that patch gets screen blanking working. I tested in my PPA: https://launchpad.net/~brian-rogers/+archive/ppa

Ryan Waldroop (ryan.waldroop) wrote :

Oh my...I've been living with this bug for *MONTHS* now testing Karmic. It's such a relief to finally have this working again.

Confirmed working on Dell Mini 9, up-to-date Karmic UNR, with the Brian Rogers PPA listed above.

Thank you very much! :D

Alex Murray (alexmurray) wrote :

Yep, I've also got the same patch applied in my PPA and can confirm this fixes the screen blanking.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.6.3-1ubuntu7

---------------
xorg-server (2:1.6.3-1ubuntu7) karmic; urgency=low

  * Add 187_lastdeviceeventtime-no-reset.patch: Avoids resetting IDLETIME on
    DPMS events. Cherrypick from upstream.
    (LP: #397839)

 -- Loic Minier <email address hidden> Mon, 28 Sep 2009 10:54:08 +0200

Changed in xorg-server (Ubuntu Karmic):
status: Triaged → Fix Released
aeneas (aeneascarver) wrote :

This patch enables gnome-power-manager able to switch the screen off. (power saving)

It does not fix the blanking.

the only solution to the random blanking I found was connecting my monitor to the PC with the VGA cable instead of the DVI cable..

joken (joken) wrote :

I have the same problem with a fully updated Karmic beta on a Dell Studio 1535 with a ATI RadeonHD 3450.

Dave Gilbert (ubuntu-treblig) wrote :

I haven't seen this problem on Karmic on intel for a few weeks now.

Dave

On 10/10/2009 08:23 AM, Dave Gilbert wrote:
> I haven't seen this problem on Karmic on intel for a few weeks now.
>
> Dave
>
been fixed here for a while now

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Changed in gnome-power-manager (Fedora):
status: Fix Committed → Fix Released
323232 (323232) wrote :

Still a problem in a fully updated KArmic

ic .
Te display turns black, comes up again end the square with message appears in the notification area.
About the same time the folowing messages are logged in the xorglog:

disable LVDS
disable LVDS
enable LVDS

Dario Bertini (berdario) wrote :

i can confirm this is still present too

karmic with latest updates:
xorg 1:7.4+3ubuntu5
xorg-docs-core 1:1.4-5
xserver-xorg 1:7.4+3ubuntu5
xserver-xorg-core 2:1.6.4-2ubuntu3
xserver-xorg-video-intel 2:2.9.0-1ubuntu2 (using a gma965)

John Vivirito (gnomefreak) wrote :

I still see this at least i did friday but only once in ~5 hours

molecule-eye (niburu1) wrote :

I can confirm in Ubuntu 9.10 Karmic using Intel 945GM graphics and stock Intel drivers. Roughly every 10min. of inactivity (sometimes less) the screen blanks. The screensaver is disabled and gnome-power-management is set not to blank the screen.

Rob Lanphier (robla) wrote :

I'm having this problem with Karmic 64-bit, with the NVIDIA GeForce 8600M GT, using nvidia driver version 185.18.36 (2009-08-14). Random blanking, followed by the "bodges" thing in the task bar. Full apport info is attached.

Changed in xorg-server (Ubuntu Karmic):
status: Fix Released → New
Steve Beattie (sbeattie) on 2009-12-02
tags: added: regression-release
removed: regression-potential
Changed in gnome-power-manager (Ubuntu):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
Deje (deje07) wrote :

As of today with a fully up-to-date karmic this bug still exists. Status say: fix released. Can someone tell me how can I get this fix?

aeneas (aeneascarver) wrote :

I know :-((( ...

Workaround: Use the RGB connector for your monitor (I bet you're on DVI)...

greetings.

Martin Pool (mbp) wrote :

I'm no longer seeing this problem on Lucid.

Deje (deje07) wrote :

I'm using RGB already... Played around a little with the gnome-power-manager and xset, and found out that GMP is actually working well, it can turn my DFP off with no problem. Unfortunately I have to use "xset s off" on every login to disable this annoying screen blanking stuff. I had absolutely no problem with these in Jaunty and before... haven't tried Lucid yet. I have NVidia with 185.18.36 closed source drivers.

Przemek K. (azrael) wrote :

On 27 January 2010 22:24, aeneas <email address hidden> wrote:
> I know :-((( ...
>
> Workaround: Use the RGB connector for your monitor (I bet you're on
> DVI)...
>

That's not possible on laptops :/

--
## Przemysław Kulczycki <<=>> Azrael Nightwalker ##
# Jabber/XMPP/Gtalk/Tlen ID: azrael[na]jabster.pl #
# (Co to jest? Zobacz na: http://jabberfaq.info ) #
## www: http://reksio.ftj.agh.edu.pl/~azrael/ #####

Rolf Leggewie (r0lf) on 2010-02-22
Changed in xorg-server (Ubuntu Karmic):
status: New → Fix Released
Rob Lanphier (robla) wrote :

Rolf, when was the fix for this released? What was the fix?

Changed in xorg-server (Ubuntu Karmic):
status: Fix Released → New
Rolf Leggewie (r0lf) wrote :

please don't reopen just to ask a question. If you are still affected, please indicate so. The changelog mentions when and how this was fixed.

xorg-server (2:1.6.3-1ubuntu7) karmic; urgency=low

  * Add 187_lastdeviceeventtime-no-reset.patch: Avoids resetting IDLETIME on
    DPMS events. Cherrypick from upstream.
    (LP: #397839)

 -- Loic Minier < <email address hidden>> Mon, 28 Sep 2009 10:54:08 +0200

Changed in xorg-server (Ubuntu Karmic):
milestone: ubuntu-9.10-beta → none
status: New → Fix Released
Rob Lanphier (robla) wrote :

I'm still very much affected by this (multiple times a day for the past several months, including 2-3 times today)

Changed in xorg-server (Ubuntu Karmic):
status: Fix Released → New

Rob, you don't provide information like your distro version, and various versions of your packages related to this bug.

For information, on lucid I still such issue randomly (but not often); I talked to Martin Pitt (pitti on IRC) today, and asked me to re-open this bug (and not open a new one). I'll attach some hardware information

apport-collect doesn't let me att

apport-collect doesn't let me attach information as I'm not the reporter, great :/

Rob Lanphier (robla) wrote :

Baptiste, see my comment from November: https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/397839/comments/70 . All of the information is there.

Przemek K. (azrael) wrote :

You can do it, just answer to apport-collect to attach the files anyway.

On 23 February 2010 21:29, Baptiste Mille-Mathias
<email address hidden> wrote:
> apport-collect doesn't let me attach information as I'm not the
> reporter, great :/
>
> --
> Screen randomly goes off in karmic
> https://bugs.launchpad.net/bugs/397839
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
## Przemysław Kulczycki <<=>> Azrael Nightwalker ##
# Jabber/XMPP/Gtalk/Tlen ID: azrael[na]jabster.pl #
# (Co to jest? Zobacz na: http://jabberfaq.info ) #
## www: http://reksio.ftj.agh.edu.pl/~azrael/ #####

John Vivirito (gnomefreak) wrote :

On 02/23/2010 03:29 PM, Baptiste Mille-Mathias wrote:
> apport-collect doesn't let me attach information as I'm not the
> reporter, great :/
>
How are you running apport-collect?
does using the following work:
apport-collect bug #397839

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Changed in xserver-xorg-driver-ati:
importance: Unknown → Medium
status: Invalid → Won't Fix
Changed in xserver-xorg-driver-ati:
importance: Medium → Unknown
Changed in xserver-xorg-driver-ati:
importance: Unknown → Medium
Bryce Harrington (bryce) wrote :

[Karmic is ancient history at this point]

Changed in xorg-server (Ubuntu Karmic):
status: New → Won't Fix
Changed in gnome-power-manager (Fedora):
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.